Skip to main content
GET
/
organizations
/
{organizationId}
/
notification-channels
List Alert Notification Channels
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/notification-channels \
  --header 'Authorization: Bearer <token>'
{
  "limit": 123,
  "notificationChannels": [
    {
      "createdAt": "2022-11-22T04:37:12Z",
      "createdBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "definition": "<unknown>",
      "entityId": "<string>",
      "entityType": "<string>",
      "id": "<string>",
      "isShared": true,
      "name": "<string>",
      "organizationId": "<string>",
      "type": "<string>",
      "updatedAt": "2022-11-22T04:37:12Z",
      "updatedBy": {
        "id": "clm8qv74h000008mlf08scq7k",
        "apiTokenName": "my-token",
        "avatarUrl": "https://avatar.url",
        "fullName": "Jane Doe",
        "subjectType": "USER",
        "username": "user1@company.com"
      },
      "deploymentId": "<string>",
      "entityName": "<string>",
      "workspaceId": "<string>"
    }
  ],
  "offset": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Notification Channels belong.

Query Parameters

notificationChannelIds
string[]

A list of IDs of specific Notification Channels to list. The API will list information only for Notification Channels which have been specified in this list.

deploymentIds
string[]

A list of Deployment IDs to filter by, not allowed if Workspace IDs are provided. Returns Notification Channels scoped to these Deployments, plus any shared Organization or Workspace Notification Channels accessible to them.

workspaceIds
string[]

A list of Workspace IDs to filter by, not allowed if Deployment IDs are provided. Returns Notification Channels scoped to these Workspaces, plus any shared Organization or Deployment Notification Channels accessible to them.

channelTypes
enum<string>[]

A list of Notification Channel types to filter by.

Available options:
EMAIL,
SLACK,
PAGERDUTY,
DAG_TRIGGER,
OPSGENIE
entityType
enum<string>

The type of entity the Notification Channels belong to.

Available options:
ORGANIZATION,
WORKSPACE,
DEPLOYMENT
offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: x >= 0
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
name:asc,
name:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

limit
integer
required

The maximum number of notification channels to return.

notificationChannels
object[]
required

The notification channels.

offset
integer
required

The offset of the first notification channel in the list.

totalCount
integer
required

The total number of notification channels.